A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
flip
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Move and Reorder array content

## Functions
AFAPI array | flip (const array &in, const unsigned dim)
| C++ Interface to flip an array.
AFAPI af_err | af_flip (af_array *out, const af_array in, const unsigned dim)
| C Interface to flip an array.

## Detailed Description

Flip the input along a specified dimension.

Mirrors the array along the specified dimension.

## Function Documentation

## ◆ af_flip()

AFAPI af_err af_flip | ( | af_array * | out,
|  | const af_array | in,
|  | const unsigned | dim )

C Interface to flip an array.

Parameters

  [out] | out | flipped array
  [in] | in | input array
  [in] | dim | dimension to flip

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ flip()

AFAPI array flip | ( | const array & | in,
|  | const unsigned | dim )

C++ Interface to flip an array.

Parameters

  [in] | in | input array
  [in] | dim | dimension to flip

Returns
  flipped array